
% explore(['R1','R2','R3','R4','R5','R6'],['R7','R8','L7','L8'],['R7','R8','L7','L8'], [], MaxCon, [], MinInc, both).

example('R1', 'all x le(x,x).').
example('R2', 'all x all y all z le(x,y) & le(y,z) -> le(x,z).').
example('R3', 'all x all y (le(x,y) | le(y,x)).').
example('R4', 'all x le(0,x).').
example('R5', 'all x all y add(x,y) = add(y,x).').
example('R6', 'all x all y all z add(add(x,y),z) = add(x,add(y,z)).').
example('R7', 'all x add(x,0) = x.').
example('R8', 'all x all y (-le(y,x) -> exists z (-le(z,x) & -le(y,z))).').
example('L7', 'all x -le(add(x,0), x).').
example('L8', 'all a all y (le(x,y) & le(y,add(x,0)) -> (y=x) | (y=add(x,0))).').

background(['R1', 'R2', 'R3', 'R4', 'R5', 'R6']).
axioms(['R7', 'R8', 'L7', 'L8']).

blend('TR', ['R7', 'R8'            ]).
blend('T1', ['R7', 'R8', 'L7'      ]).
blend('T2', [      'R8', 'L7'      ]).
blend('T3', [      'R8', 'L7', 'L8']).
blend('T4', ['R7', 'R8',       'L8']).
blend('T5', ['R7',       'L7'      ]).
blend('T6', ['R7', 'R8', 'L7', 'L8']).
blend('T7', ['R7',       'L7', 'L8']).
blend('T8', [      'R8',       'L8']).
blend('T9', ['R7',             'L8']).
blend('TL', [            'L7', 'L8']).

init([T1,T3,T7,T4]) :-
    blend('T1', T1),
    blend('T3', T3),
    blend('T7', T7),
    blend('T4', T4).


